Voter ID Extraction
Overview
This API allows users to extract information from Voter ID cards through images. The API accepts a JSON request with an array of URLs of images containing Voter ID cards . The API returns a JSON response with the extracted information, including name, DOB, and epicNumber etc
Endpoints | Environment |
|---|---|
https://api-preproduction.signzy.app/api/v3/voter-id/extractions | Preproduction |
https://api.signzy.app/api/v3/voter-id/extractions | Production |
curl --location 'https://api.signzy.app/api/v3/voter-id/extractions' \
--header 'Content-Type: application/json' \
--header 'Authorization: <AuthKey>' \
--data '{
"urls": ["https://persist.signzy.tech/api/files/8176201/download/ffnymTts65OLYwIGxSYOmDujop1mhZFENeIXCqZnDsfvI9rlmK.jpg","https://persist.signzy.tech/api/files/8176200/download/UcDcuJPW0GxU9iGxaGlaCDpUCeavZ4K4eoKBPTXB3RzZvvhSOH.jpg"]
}'Headers
Header Name | Required | Description |
|---|---|---|
Content-Type | Yes | The content type of the request body. In this case, it is JSON. |
Authorization | Yes | API authorization key. |
Input Parameters
Parameter | Type | Description |
|---|---|---|
urls | array | An array of URLs of the images to be processed |
Output Parameters
Parameter | Type | Description |
|---|---|---|
result | object | An object containing the extracted voter ID details |
url | array | An array of the URLs of the images that were processed |
The result object contains the following parameters:
Parameter | Type | Description |
|---|---|---|
status | string | The status of the extraction process |
name | string | The name of the voter |
fatherName | string | The name of the voter's father |
address | string | The voter's address |
state | string | The voter's state |
ageAsOn | string | The age of the voter |
dob | string | The voter's date of birth |
gender | string | The voter's gender |
yob | string | The voter's year of birth |
epicNumber | string | The voter's EPIC number |
splitAddress | object | An object containing the parsed address details |
msg | string | A success message |
Sample Response:
Response Times
95% ile | 99 % ile | 90 % ile |
|---|---|---|
| | |
Status Codes
Status Code | Description |
|---|---|
200 | OK |
400 | Bad Request |
409 | Upstream Down |
422 | Unprocessable Entity |